<template>
    <div>
        <div>
            <label>
                Title
                <input v-model="currentCompany.title" type="text" />
            </label>
        </div>
        <div>
            <label>
                Rate
                <input v-model="currentCompany.taxRate" type="number" />
            </label>
        </div>
        <div>
            <label>
                Year
                <input v-model="currentCompany.year" type="number" />
            </label>
        </div>
        <div>
            <label>
                Owner
                <input v-model="currentCompany.owner" type="text" />
            </label>
        </div>
        <button @click="onAction">{{ actionBtnTitle }}</button>
    </div>
</template>

<script>
import { mapActions, mapGetters } from 'vuex'
    export default {
        name: 'ChangeDirectory',
        data() {
            return {
                currentDirectory: {},
            }
        },

        computed: {
        ...mapGetters(['getDirectoryId']),
        companyId() {
            return this.$route.params.companyId
        },
        actionBtnTitle() {
            return this.companyId ? 'Save' : 'Create'
        },
    },
    created(){
        if(this.d)
    }
    }
</script>

<style lang="scss" scoped>

</style>